Bug 1567469 - [abrt] __warn: WARNING: CPU: 1 PID: 765 at drivers/i2c/busses/i2c-designware-core.c:293 i2c_dw_clk_rate+0x41/0x50 [i2c_designware_core]
Summary: [abrt] __warn: WARNING: CPU: 1 PID: 765 at drivers/i2c/busses/i2c-designware-...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 26
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:747bb5626426575ed06d71a13dc...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-14 00:41 UTC by wpak2008
Modified: 2018-05-29 11:20 UTC (History)
16 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-29 11:20:22 UTC
Type: ---


Attachments (Terms of Use)
File: dmesg (77.68 KB, text/plain)
2018-04-14 00:41 UTC, wpak2008
no flags Details

Description wpak2008 2018-04-14 00:41:27 UTC
Additional info:
reporter:       libreport-2.9.1
WARNING: CPU: 1 PID: 765 at drivers/i2c/busses/i2c-designware-core.c:293 i2c_dw_clk_rate+0x41/0x50 [i2c_designware_core]
Modules linked in: i2c_designware_platform(+) shpchp soundcore tpm_crb i2c_designware_core acpi_cpufreq tpm_tis tpm_tis_core tpm amdkfd amd_iommu_v2 amdgpu i2c_algo_bit crct10dif_pclmul crc32_pclmul drm_kms_helper crc32c_intel ghash_clmulni_intel ttm 8021q garp stp llc mrp drm serio_raw r8169 mii wmi video i2c_hid sunrpc scsi_transport_iscsi
CPU: 1 PID: 765 Comm: systemd-udevd Not tainted 4.11.8-300.fc26.x86_64 #1
Hardware name: LENOVO 80XS/LNVNB161216, BIOS 5QCN20WW 11/29/2017
Call Trace:
 dump_stack+0x63/0x84
 __warn+0xcb/0xf0
 warn_slowpath_null+0x1d/0x20
 i2c_dw_clk_rate+0x41/0x50 [i2c_designware_core]
 i2c_dw_init+0x310/0x610 [i2c_designware_core]
 i2c_dw_probe+0x35/0x8d0 [i2c_designware_core]
 dw_i2c_plat_probe+0x292/0x580 [i2c_designware_platform]
 platform_drv_probe+0x3b/0xa0
 driver_probe_device+0x106/0x450
 __driver_attach+0xa4/0xe0
 ? driver_probe_device+0x450/0x450
 bus_for_each_dev+0x6e/0xb0
 driver_attach+0x1e/0x20
 bus_add_driver+0x1d0/0x270
 ? 0xffffffffc061a000
 driver_register+0x60/0xe0
 ? 0xffffffffc061a000
 __platform_driver_register+0x36/0x40
 dw_i2c_init_driver+0x17/0x1000 [i2c_designware_platform]
 do_one_initcall+0x50/0x1a0
 ? kmem_cache_alloc_trace+0x15f/0x1c0
 ? do_init_module+0x27/0x1e6
 do_init_module+0x5f/0x1e6
 load_module+0x23d6/0x2970
 SYSC_init_module+0x16f/0x1a0
 ? SYSC_init_module+0x16f/0x1a0
 SyS_init_module+0xe/0x10
 do_syscall_64+0x67/0x170
 entry_SYSCALL64_slow_path+0x25/0x25
RIP: 0033:0x7f912f3d316a
RSP: 002b:00007ffcd85e43b8 EFLAGS: 00000246 ORIG_RAX: 00000000000000af
RAX: ffffffffffffffda RBX: 0000557ae42cc410 RCX: 00007f912f3d316a
RDX: 00007f912ff129c5 RSI: 0000000000004833 RDI: 0000557ae42cc750
RBP: 00007f912ff129c5 R08: 0000557ae439a0f0 R09: 00000000000004b0
R10: 00007f912f68db00 R11: 0000000000000246 R12: 0000557ae42cc750
R13: 0000557ae439a080 R14: 0000000000020000 R15: 0000557ae300ef4a

Potential duplicate: bug 1352564

Comment 1 wpak2008 2018-04-14 00:41:42 UTC
Created attachment 1421658 [details]
File: dmesg

Comment 2 Fedora End Of Life 2018-05-03 07:51:36 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 3 Fedora End Of Life 2018-05-29 11:20:22 UTC
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.